name: hangman
description: Hangman game, have fun with words and letters!

publish_to: "none"

version: 1.3.0+30

environment:
  sdk: "^3.0.0"

dependencies:
  flutter:
    sdk: flutter

  # base
  auto_size_text: ^3.0.0
  easy_localization: ^3.0.1
  equatable: ^2.0.5
  flutter_bloc: ^8.1.1
  hive: ^2.2.3
  hydrated_bloc: ^9.0.0
  package_info_plus: ^8.0.0
  path_provider: ^2.0.11
  unicons: ^3.0.0

  # specific
  diacritic: ^0.1.4
  html: ^0.15.4
  http: ^1.1.0

dev_dependencies:
  flutter_lints: ^5.0.0

flutter:
  uses-material-design: true
  assets:
    - assets/skins/
    - assets/translations/
    - assets/ui/

  fonts:
    - family: Tiza
      fonts:
        - asset: assets/fonts/tiza.ttf
    - family: Nunito
      fonts:
        - asset: assets/fonts/Nunito-Bold.ttf
          weight: 700
        - asset: assets/fonts/Nunito-Medium.ttf
          weight: 500
        - asset: assets/fonts/Nunito-Regular.ttf
          weight: 400
        - asset: assets/fonts/Nunito-Light.ttf
          weight: 300
